Subject: [bug#55976] [PATCH] gnu: valgrind/interactive: Update to 3.19.0.

From: Greg Hogan <[email-masked]>
Date: Wed, 15 Jun 2022 09:55:01 -0400

On Tue, Jun 14, 2022 at 5:29 PM Tobias Geerinckx-Rice <[email-masked]> wrote:
>
> Hi Greg,
>
> Greg Hogan 写道：
> > * gnu/packages/valgrind.scm (valgrind/interactive): Update to
> > 3.19.0.
> > [home-page]: Update permanent redirect.
> > * gnu/packages/valgrind.scm (valgrind-3.18): Delete.
> > ---
> > This patch bumps the version of the non-hidden valgrind while
> > removing
> > the pinned-version package.
>
> Unless I'm mistaken these 2 tasks are independent, and should
> hence be split across 2 patches.

I will split the commit and send a v2 patchset upon confirmation of
the valgrind-3.18 removal..

> >                             Looking through the commit history,
> >                             I do see
> > a reason for having both a valgrind/interactive and
> > valgrind-3.18.
>
> I thought this was a typo for ‘don't’ at first, but I really can't
> tell.

You are correct, this should have said "don't see a reason".

> I don't see a reason to keep both now, but then I don't see one
> when 50f7402c was committed either.  Do you remember, Ludo'?
>
> Kind regards,
>
> T G-R

Thanks for the review!

Greg